//
// EffectScaleButton.h
//

// Engine includes.
#include "Button.h"

// Game includes.
#include "Reticle.h"

class EffectScaleButton : public df::Button {

 private:
  Reticle *p_reticle;		// Reticle holds particle settings.

 public:
  EffectScaleButton(Reticle *p_reticle);

  // Called when Button clicked.
  void callback();
};
