//
// PrecipitationScaleButton.cpp
//

// Engine includes.
#include "utility.h"

// Game includes.
#include "demo.h"
#include "PrecipitationScaleButton.h"

PrecipitationScaleButton::PrecipitationScaleButton(Reticle *p_reticle) {
  this->p_reticle = p_reticle;
  p_reticle -> setPrecipitationScale(1);
  setViewString("1");
  setBorder(true);
  setLocation(df::TOP_RIGHT);
  setColor(df::WHITE);
}

// On callback, change particle scale.
void PrecipitationScaleButton::callback() {
  float scale = p_reticle -> getPrecipitationScale();
  scale = scale + 1;
  if (scale > 5)
    scale = 1;
  p_reticle -> setPrecipitationScale(scale);
  setViewString(df::toString(scale));
}
